osl::rating::Capture Class Reference

`#include <capture.h>`

Inheritance diagram for osl::rating::Capture:

## Public Types

enum | { INF = 999999 }

## Public Member Functions

| Capture (int f, int l)
bool | match (const NumEffectState &state, Move move, const RatingEnv &env) const
Public Member Functions inherited from osl::rating::Feature
| Feature (const std::string &name)
virtual | ~Feature ()
virtual bool | effectiveInCheck () const
const std::string & | name () const

## Static Public Member Functions

static int | see (const NumEffectState &state, Move move, const RatingEnv &env)

## Static Private Member Functions

static const std::string | name (int first, int last)

## Private Attributes

int | first
int | last

## Detailed Description

Definition at line 15 of file capture.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
INF |

Definition at line 18 of file capture.h.

## Constructor & Destructor Documentation

## Capture()

osl::rating::Capture::Capture | ( | int | f,
|  | int | l )

inline

Definition at line 23 of file capture.h.

References osl::rating::Feature::Feature(), first, last, and name().

## Member Function Documentation

## match()

bool osl::rating::Capture::match | ( | const NumEffectState & | state,
|  | Move | move,
|  | const RatingEnv & | env ) const

inline virtual

Implements osl::rating::Feature.

Definition at line 30 of file capture.h.

References first, last, and see().

## name()

const std::string osl::rating::Capture::name | ( | int | first,
|  | int | last )

static private

Definition at line 6 of file capture.cc.

References first, and INF.

Referenced by Capture().

## see()

int osl::rating::Capture::see | ( | const NumEffectState & | state,
|  | Move | move,
|  | const RatingEnv & | env )

inline static

Definition at line 24 of file capture.h.

References osl::rating::RatingEnv::my_pin, osl::rating::RatingEnv::op_pin, see(), and osl::See::see().

Referenced by osl::rating::CaptureGroup::findMatch(), match(), and see().

## Member Data Documentation

## first

int osl::rating::Capture::first

private

Definition at line 20 of file capture.h.

Referenced by Capture(), match(), and name().

## last

int osl::rating::Capture::last

private

Definition at line 20 of file capture.h.

Referenced by Capture(), and match().

The documentation for this class was generated from the following files:

- capture.h
- capture.cc